Portage is a package management system used by Gentoo Linux
# ChangeLog for net-mail/cyrus-imapd
# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-mail/cyrus-imapd/ChangeLog,v 1.125 2008/06/04 18:56:56 dertobi123 Exp $
*cyrus-imapd-2.3.12_p2 (04 Jun 2008)
04 Jun 2008; Tobias Scherbaum
+files/kolab/2.3.12_p2/annotations2.patch,
+files/kolab/2.3.12_p2/cyradm_annotations.patch,
+files/kolab/2.3.12_p2/folder-names.patch,
+files/kolab/2.3.12_p2/groups.patch, +files/kolab/2.3.12_p2/logging.patch,
+files/kolab/2.3.12_p2/timsieved_starttls-sendcaps.patch,
+files/kolab/2.3.12_p2/uid.patch, +cyrus-imapd-2.3.12_p2.ebuild:
Version bump, include kolab patches (#194361), force -j1 (#222529) and
stop forcing synchronous writes on ext3 (#224845)
15 Mar 2008; Mark Loeser
cyrus-imapd-2.3.11.ebuild:
Add a blocker in RDEPEND on virtual/imapd so we avoid manpage collisions;
bug #198633
15 Mar 2008; Tobias Scherbaum
cyrus-imapd-2.3.11.ebuild:
Fix manpage collision with leafnode, only install nntp related binaries
and man-pages when the nntp use-flag is activated. #212379, reported by
Joachim Breuer
13 Mar 2008; Tobias Scherbaum
cyrus-imapd-2.3.9-r1.ebuild, cyrus-imapd-2.3.11.ebuild:
Remove redundant enewuser call as per #213280, reported by Arnaud Launay
08 Mar 2008; Tobias Scherbaum
cyrus-imapd-2.3.11.ebuild:
Fix autoconf failure, bug #201146. Thanks to werner@pure.ch and Marius Mauch
for testing and providing a fix
18 Jan 2008; Tobias Scherbaum
-files/cyrus-imapd-2.2.12-gcc4.patch,
-files/cyrus-imapd-2.2.13-deliver.patch,
-files/cyrus-imapd-2.2-db45.patch, -files/cyrus-imapd-2.2.13-afs.patch,
-files/cyrus-imapd-2.2.13-drac.patch, -files/cyrus-imapd-2.2.13-pts.patch,
-files/cyrus-imapd-unsupported-8bit.patch, -cyrus-imapd-2.2.13-r1.ebuild:
Cleanup
14 Jan 2008; Christoph Mende
cyrus-imapd-2.3.9-r1.ebuild:
Stable on amd64 wrt bug #201684
10 Jan 2008; Jeroen Roovers
Stable for HPPA (bug #201684).
05 Jan 2008; Raúl Porcel
cyrus-imapd-2.3.9-r1.ebuild:
sparc stable wrt #201684
*cyrus-imapd-2.3.11 (02 Jan 2008)
02 Jan 2008; Tobias Scherbaum
+files/cyrus-imapd-2.3.11-drac_with_autocreate.patch,
+cyrus-imapd-2.3.11.ebuild:
Version bump, bug #201952
01 Jan 2008; Markus Meier
x86 stable, bug #201684
31 Dec 2007; Brent Baude
Marking cyrus-imapd-2.3.9-r1 ppc64 for bug 201684
31 Dec 2007; Brent Baude
Marking cyrus-imapd-2.3.9-r1 ppc for bug 201684
11 Dec 2007; Tobias Scherbaum
cyrus-imapd-2.3.9-r1.ebuild:
install_cert already takes care of ROOT
09 Dec 2007; Tobias Scherbaum
cyrus-imapd-2.3.9-r1.ebuild:
fix install_cert
*cyrus-imapd-2.3.9-r1 (09 Dec 2007)
09 Dec 2007; Tobias Scherbaum
-files/cyrus-imapd-2.2.10-drac.patch,
-files/cyrus-imapd-2.2.10-libwrap.patch,
-files/cyrus-imapd-2.2.12-drac.patch, -files/cyrus-imapd-2.3.6-afs.patch,
-cyrus-imapd-2.2.12-r4.ebuild, -cyrus-imapd-2.2.12-r5.ebuild,
-cyrus-imapd-2.2.12-r6.ebuild, -cyrus-imapd-2.3.9.ebuild,
+cyrus-imapd-2.3.9-r1.ebuild:
Cleanup, fix #195927 and #201684
01 Oct 2007; Wulf C. Krueger
cyrus-imapd-2.2.13-r1.ebuild:
Marked stable on amd64 as per bug 187138. Fixed a minor typo.
01 Oct 2007; Raúl Porcel
cyrus-imapd-2.2.13-r1.ebuild:
sparc stable wrt #187138
01 Oct 2007; Tobias Scherbaum
cyrus-imapd-2.2.13-r1.ebuild:
Filter as-needed if snmp is used, bug #187138
09 Sep 2007; Markus Rothe
cyrus-imapd-2.2.13-r1.ebuild:
Stable on ppc64; bug #187138
07 Sep 2007; Tobias Scherbaum
+files/cyrus-imapd-strip.patch, cyrus-imapd-2.2.13-r1.ebuild,
cyrus-imapd-2.3.9.ebuild:
Fix pre-stripped binaries as reported by Jorge Manuel B. S. Vicetto per bug
#187138
*cyrus-imapd-2.3.9 (03 Sep 2007)
03 Sep 2007; Tobias Scherbaum
-files/cyrus-imapd-2.3.8-pts.patch, -cyrus-imapd-2.3.8.ebuild,
+cyrus-imapd-2.3.9.ebuild:
Version bump
02 Sep 2007; Christian Faulhammer
cyrus-imapd-2.2.13-r1.ebuild:
stable x86, bug 187138
25 Aug 2007; Jeroen Roovers
Stable for HPPA (bug #187138).
24 Aug 2007; Tobias Scherbaum
cyrus-imapd-2.2.13-r1.ebuild:
ppc stable, bug #187138
20 Aug 2007; Tobias Scherbaum
cyrus-imapd-2.3.8.ebuild:
Add replication support as requested by Stephen Summerfield in bug #187900
28 Jul 2007; Tobias Scherbaum
cyrus-imapd-2.2.12-r5.ebuild, cyrus-imapd-2.3.8.ebuild:
Fix autotools handling, bug #160169
*cyrus-imapd-2.3.8 (28 Jul 2007)
28 Jul 2007; Tobias Scherbaum
+files/cyrus-imapd-2.3.8-drac_with_autocreate.patch,
+files/cyrus-imapd-2.3.8-pts.patch, -cyrus-imapd-2.3.1.ebuild,
-cyrus-imapd-2.3.6.ebuild, -cyrus-imapd-2.3.7.ebuild,
+cyrus-imapd-2.3.8.ebuild:
Version bump, bug #167659
*cyrus-imapd-2.2.13-r1 (23 Jul 2007)
23 Jul 2007; Tobias Scherbaum
+files/cyrus-imapd-2.2.13-deliver.patch, -cyrus-imapd-2.2.13.ebuild,
+cyrus-imapd-2.2.13-r1.ebuild:
Revbump wrt bug #186338
*cyrus-imapd-2.2.12-r6 (22 Jul 2007)
22 Jul 2007; Tobias Scherbaum
+cyrus-imapd-2.2.12-r6.ebuild:
revbump, bug #142817
*cyrus-imapd-2.2.13 (22 Jul 2007)
22 Jul 2007; Tobias Scherbaum
-files/cyrus-imapd-2.2.12-db45.patch, +files/cyrus-imapd-2.2-db45.patch,
-files/cyrus-imapd-2.2.12-libwrap.patch,
+files/cyrus-imapd-2.2.13-afs.patch, +files/cyrus-imapd-2.2.13-drac.patch,
+files/cyrus-imapd-2.2.13-pts.patch, +files/cyrus-imapd-2.2-libwrap.patch,
metadata.xml, -cyrus-imapd-2.2.12.ebuild, cyrus-imapd-2.2.12-r4.ebuild,
cyrus-imapd-2.2.12-r5.ebuild, +cyrus-imapd-2.2.13.ebuild:
Cleanup, Version bump (Bug #133187), add myself as maintainer, fix autotools
handling (Bug #160169)
08 Jul 2007; Samuli Suominen
Replace "need net" with "use net" for bug 116534.
08 Jul 2007; Christoph Mende
+files/cyrus-imapd-2.2.12-db45.patch, cyrus-imapd-2.2.12-r4.ebuild:
Added a patch to fix compilation against db-4.5
08 Jan 2007; Diego Pettenò
cyrus-imapd-2.2.12.ebuild, cyrus-imapd-2.2.12-r4.ebuild,
cyrus-imapd-2.2.12-r5.ebuild, cyrus-imapd-2.3.1.ebuild,
cyrus-imapd-2.3.6.ebuild, cyrus-imapd-2.3.7.ebuild:
Add inherit pam.
05 Jan 2007; Diego Pettenò
cyrus-imapd-2.2.12.ebuild, cyrus-imapd-2.2.12-r4.ebuild,
cyrus-imapd-2.2.12-r5.ebuild, cyrus-imapd-2.3.1.ebuild,
cyrus-imapd-2.3.6.ebuild, cyrus-imapd-2.3.7.ebuild:
Remove gnuconfig_update usage, leave it to econf.
29 Aug 2006; Jeroen Roovers
Stable for HPPA (bug #144375).
28 Aug 2006; Gustavo Zacarias
cyrus-imapd-2.2.12-r4.ebuild:
Stable on sparc wrt #144375
28 Aug 2006; Tobias Scherbaum
cyrus-imapd-2.2.12-r4.ebuild:
ppc stable, bug #144375
28 Aug 2006; Tuấn Văn
+files/cyrus-imapd-parallel.patch, cyrus-imapd-2.2.12-r4.ebuild:
Fix a parallel make bug.
25 Aug 2006; Chris Gianelloni
cyrus-imapd-2.2.12-r4.ebuild:
Stable on amd64/x86 wrt bug #144375.
21 Aug 2006; Markus Rothe
cyrus-imapd-2.2.12-r4.ebuild:
Stable on ppc64; bug #144375
*cyrus-imapd-2.2.12-r5 (04 Aug 2006)
04 Aug 2006; Tuấn Văn
+cyrus-imapd-2.2.12-r5.ebuild:
add 64-bit quota patch. Bug #142817.
14 Jul 2006; Tuấn Văn
cyrus-imapd-2.2.12-r4.ebuild:
${ROOT} friendly. Bug #140391 reported by Jakub Moc
*cyrus-imapd-2.3.7 (12 Jul 2006)
12 Jul 2006; Tuấn Văn
+files/cyrus-imapd-2.3.7-drac.patch,
+files/cyrus-imapd-2.3.7-drac_with_autocreate.patch,
+cyrus-imapd-2.3.7.ebuild:
Add three new local USE flags:
autocreate. Bug #112912. Thanks to Jörn Dreyer
Mike Nerone
autosieve. Bug #133187 requested by Martin Schlemme
nntp. Bug #130159 reported and provided patch by W-Mark Kubacki
Honor kerberos USE flag. Bug #129957 reported and provided patch by Peter
Dinges
Remove unsupported-8bit.patch as it is included upstream and some cleanup.
*cyrus-imapd-2.3.6 (12 Jun 2006)
12 Jun 2006; Tuấn Văn
+files/cyrus-imapd-2.3.6-afs.patch, +files/cyrus-imapd-2.3.6-drac.patch,
+files/cyrus-imapd-2.3.6-unsupported-8bit.patch,
+cyrus-imapd-2.3.6.ebuild:
New beta release.
20 Feb 2006; Tuấn Văn
configure option --with-idle=idled has been changed to --enable-idled.
30 Jan 2006; Tuấn Văn
-cyrus-imapd-2.2.10.ebuild, -cyrus-imapd-2.2.10-r1.ebuild,
-cyrus-imapd-2.2.12-r1.ebuild, -cyrus-imapd-2.2.12-r2.ebuild,
-cyrus-imapd-2.2.12-r3.ebuild:
remove old ebuilds.
*cyrus-imapd-2.2.12-r4 (30 Jan 2006)
30 Jan 2006; Tuấn Văn
+files/cyrus-imapd-2.2.12-gcc4.patch, +cyrus-imapd-2.2.12-r4.ebuild:
gcc-4.0.x patch. Thanks to steveb
*cyrus-imapd-2.3.1 (10 Jan 2006)
10 Jan 2006; Tuấn Văn
+files/cyrus-imapd-2.3.1-drac.patch, +cyrus-imapd-2.3.1.ebuild:
New testing release.
*cyrus-imapd-2.2.12-r3 (20 Jul 2005)
20 Jul 2005; Benjamin Smee
+cyrus-imapd-2.2.12-r3.ebuild:
Added enewuser lines for bug 99602. The second one was added for bin installs
*cyrus-imapd-2.2.12-r2 (22 May 2005)
22 May 2005; Fernando J. Pereda
+files/cyrus.pam-include, +cyrus-imapd-2.2.12-r2.ebuild:
fixes to make bsd happier, wrt #93168
06 Apr 2005; Markus Rothe
cyrus-imapd-2.2.12.ebuild:
Stable on ppc64/added ~ppc64 to KEYWORDS
02 Mar 2005; Michael Sterrett
cyrus-imapd-2.2.12-r1.ebuild:
virtual/snmp went away
*cyrus-imapd-2.2.12-r1 (01 Mar 2005)
01 Mar 2005; Fernando J. Pereda
+files/cyrus-imapd-unsupported-8bit.patch, +cyrus-imapd-2.2.12-r1.ebuild:
Add 8bit patch wrt #18706 and #80630
24 Feb 2005; Markus Rothe
Added ~ppc64 to KEYWORDS
23 Feb 2005; Marcus D. Hanwell
Marked stable on amd64, bug 82404.
21 Feb 2005; Daniel Black
cyrus-imapd-2.2.10-r1.ebuild, cyrus-imapd-2.2.10.ebuild,
cyrus-imapd-2.2.12.ebuild:
removing ucd-snmp as per bug #69451.
19 Feb 2005; Michael Hanselmann
cyrus-imapd-2.2.12.ebuild:
Stable on hppa.
19 Feb 2005; Michael Hanselmann
cyrus-imapd-2.2.12.ebuild:
Stable on ppc.
18 Feb 2005; Gustavo Zacarias
cyrus-imapd-2.2.12.ebuild:
Stable on sparc wrt #82404
17 Feb 2005; Olivier Crête
Marking stable on x86 for security bug #82404
*cyrus-imapd-2.2.12 (17 Feb 2005)
17 Feb 2005; Tuấn Văn
+files/cyrus-imapd-2.2.12-drac.patch,
+files/cyrus-imapd-2.2.12-libwrap.patch, +cyrus-imapd-2.2.12.ebuild:
Version bump. Upstream ChangeLog URL:
http://asg.web.cmu.edu/cyrus/download/imapd/changes.html
*cyrus-imapd-2.2.10-r1 (13 Feb 2005)
13 Feb 2005; Fernando J. Pereda
+files/cyrus-imapd-2.2.10-drac.patch, +cyrus-imapd-2.2.10-r1.ebuild:
Remove pam.d stuff and depend on >=mailbase-0.00-r8 (#79240). Commit patch
from Tuan Van
29 Dec 2004; Sven Wegener
files/cyrus.rc6, cyrus-imapd-2.2.10.ebuild:
Added /etc/conf.d script for passing additional options.
26 Nov 2004; Tuan Van
-files/cyrus-imapd-2.2.8-db4.patch,
-files/cyrus-imapd-2.2.8-libwrap.patch, -cyrus-imapd-2.2.8-r1.ebuild,
-cyrus-imapd-2.2.8.ebuild:
Remove old ebuilds.
24 Nov 2004; Gustavo Zacarias
cyrus-imapd-2.2.10.ebuild:
Stable on sparc
24 Nov 2004; Tuan Van
Stable on x86.
24 Nov 2004; Guy Martin
Stable on hppa.
*cyrus-imapd-2.2.10 (23 Nov 2004)
23 Nov 2004; Tuan Van
+files/cyrus-imapd-2.2.10-libwrap.patch,
-files/cyrus-imapd-2.2.9-libwrap.patch, +cyrus-imapd-2.2.10.ebuild,
-cyrus-imapd-2.2.9.ebuild:
Version bump WRT #72194.
*cyrus-imapd-2.2.9 (23 Nov 2004)
23 Nov 2004; Tuan Van
+files/cyrus-imapd-2.2.9-libwrap.patch, +cyrus-imapd-2.2.9.ebuild:
Version bump WRT #72194.
01 Nov 2004; Tuan Van
-files/cyrus-imapd-2.1.12-includepath.patch,
-files/cyrus-imapd-2.1.14-db4.patch, -files/cyrus-imapd-2.1.15-db4.patch,
-files/cyrus-imapd-2.2.3-db4.patch, -files/cyrus-imapd-libwrap.patch,
-files/cyrus.rc6_2, -files/cyrus_2.conf, -files/gentestcrt.sh,
-files/imapd_2.conf, -files/master.8.diff, -files/pam.d-imap,
-cyrus-imapd-2.1.15-r1.ebuild, -cyrus-imapd-2.1.15.ebuild,
-cyrus-imapd-2.2.3.ebuild, cyrus-imapd-2.2.8.ebuild:
remove old ebuilds.
23 Oct 2004; Tuan Van
+files/cyrus-imapd-2.2.8-libwrap.patch, cyrus-imapd-2.2.8-r1.ebuild:
add logic to detect if cyrus-imapd and {ucd,net}-snmp have "tpcd" USE
flag sync (ie both emerge with or without "tcpd".) Bug #68254.
add logic to check for net-snmp "mininal USE flag. Thanks to
weeve@gentoo.org. Bug #67411.
add "idled" local use flag. Bug #62959. Thanks to sbriesen@gmx.de,
swegener@gentoo.org, junkmonkey@gmail.com.
20 Oct 2004; Sven Wegener
cyrus-imapd-2.2.8-r1.ebuild, cyrus-imapd-2.2.8.ebuild:
Fixed deprecated tail -1 usage in imap/xversion.sh with ht_fix_file in all
2.2* ebuilds.
*cyrus-imapd-2.2.8-r1 (17 Oct 2004)
17 Oct 2004; Tuan Van
add missing sievec binary. Needed for upgrade sieve from 2.1.* to 2.2.*.
add waring/info for those upgrade perl after net-snmp emerged. Bug #67411.
15 Oct 2004; Guy Martin
Stable on hppa.
13 Oct 2004; Tuan Van
stable on x86.
03 Sep 2004; David Holm
Added to ~ppc.
30 Aug 2004; Tuan Van
depend on virtual/snmp.
26 Aug 2004; Tuan Van
add options to use auxprop with sql.
*cyrus-imapd-2.2.8 (27 Aug 2004)
27 Aug 2004; Danny van Dyk
Marked ~amd64.
21 Aug 2004; Tuan Van
Version bump.
01 Jul 2004; Jeremy Huddleston
cyrus-imapd-2.1.12.ebuild, cyrus-imapd-2.1.13.ebuild,
cyrus-imapd-2.1.14.ebuild, cyrus-imapd-2.1.15-r1.ebuild,
cyrus-imapd-2.1.15.ebuild:
virtual/glibc -> virtual/libc
10 Jun 2004; Aron Griffis
cyrus-imapd-2.1.13.ebuild, cyrus-imapd-2.1.14.ebuild,
cyrus-imapd-2.1.15-r1.ebuild, cyrus-imapd-2.1.15.ebuild,
cyrus-imapd-2.2.3.ebuild:
Fix use invocation, and fix nasty typo [ "'use ssl'" ] (somebody
accidentally used normal single quotes instead of back-quotes, so that
condition would always be true)
23 May 2004; Jason Wever
Added ~sparc keyword.
26 Apr 2004; Aron Griffis
Add die following econf for bug 48950
26 Apr 2004; Aron Griffis
cyrus-imapd-2.1.13.ebuild, cyrus-imapd-2.1.14.ebuild,
cyrus-imapd-2.1.15-r1.ebuild, cyrus-imapd-2.1.15.ebuild:
Add die following econf for bug 48950
24 Feb 2004; Jason Wever
Added ~sparc keyword. Thanks to gsdali from the sparc forum for testing :)
22 Feb 2004; Aron Griffis
cyrus-imapd-2.1.13.ebuild:
Remove arm keywords
*cyrus-imapd-2.2.3 (20 Jan 2004)
20 Jan 2004; Max Kalika
cyrus-imapd-2.1.12.ebuild, cyrus-imapd-2.1.13.ebuild,
cyrus-imapd-2.1.14.ebuild, cyrus-imapd-2.1.15-r1.ebuild,
cyrus-imapd-2.1.15.ebuild, cyrus-imapd-2.2.3.ebuild, files/2.1.14-db4.patch,
files/2.1.15-db4.patch, files/cyrus-imapd-2.1.12-libwrap.patch,
files/cyrus-imapd-2.1.14-db4.patch, files/cyrus-imapd-2.1.15-db4.patch,
files/cyrus-imapd-2.2.3-db4.patch, files/cyrus-imapd-libwrap.patch,
files/cyrus.conf, files/cyrus.rc6, files/imap.pam, files/imapd.conf:
Bump version to 2.2.3. Major cleanup/rewrite: quote variables where possible;
whitespace consistancy use more ebuild semantics (use_with, use_enable);
drop creation of cyrus user; move all binaries to /usr/lib/cyrus from
/usr/cyrus; make tcpd support optional, based on tcpd USE flag; add optional
DRAC support, based on local drac USE flag; vastly simplified install
procedure; move ssl files to /etc/ssl/cyrus from /etc/cyrusimapd; IMAP spool
hashing fixes; startup script fixes; make PAM optional. Generate server.pem
along with server.key and server.crt if USE=ssl. Depend on sed-4. Migrate to
ssl-cert.eclass.
14 Dec 2003;
cyrus-imapd-2.1.12.ebuild, cyrus-imapd-2.1.13.ebuild,
cyrus-imapd-2.1.14.ebuild, cyrus-imapd-2.1.15-r1.ebuild,
cyrus-imapd-2.1.15.ebuild:
QA: fixing chown user.group to user:group, bug #35127
*cyrus-imapd-2.1.15-r1 (04 Oct 2003)
04 Oct 2003; Markus Nigbur
cyrus-imapd-2.1.15-r1.ebuild:
headtail fix
19 Sep 2003; Max Kalika
Fix SRC_URI.
*cyrus-imapd-2.1.15 (18 Sep 2003)
18 Sep 2003; Max Kalika
cyrus-imapd-2.1.15.ebuild, files/2.1.14-db4.patch, files/2.1.15-db4.patch:
Remove --with-auth=krb. It is only used for kerberos 4 according to the docs.
Only allow gssapi when USE=kerberos. Fix the db4 patch to redefine 3 extra
symbols. Bump to version 2.1.15. Fix bugs 24429, 26760, and maybe 27645
18 Sep 2003; Max Kalika
cyrus-imapd-2.1.12.ebuild, cyrus-imapd-2.1.13.ebuild,
cyrus-imapd-2.1.14.ebuild:
Fix SRC_URI. Upstream moved these.
13 Jul 2003; Nick Hadaway
Changed kerberos dep to app-crypt/mit-krb5 as heimdal isn't supported
properly. Marked stable for x86
09 Jul 2003; Peter Johanson
Fixed digest to include ipv6 patch
*cyrus-imapd-2.1.14 (09 Jul 2003)
09 Jul 2003; Nick Hadaway
files/2.1.14-db4.patch:
Version bump. patch for versioned symbols in db4. Added ipv6 support
thanks to the heads up from Bernhard Schmidt on bug #23690.
*cyrus-imapd-2.1.13 (09 Jun 2003)
09 Jun 2003; Nick Hadaway
files/digest-cyrus-imapd-2.1.13:
Version bump.
02 Jun 2003; robh
added IUSE line
*cyrus-imapd-2.1.12 (07 Feb 2003)
11 Feb 2003; Nick Hadaway
files/cyrus-imapd-2.1.12-includepath.patch :
Added a patch to remove spurious -I/usr/include statements so users
configure runs will detect things such as sasl properly.
07 Feb 2003; Nick Hadaway
files/digest-cyrus-imapd-2.1.12, files/cyrus-imapd-2.1.12-libwrap.patch :
Version bump.
*cyrus-imapd-2.1.11-r1 (05 Feb 2003)
05 Feb 2003; Nick Hadaway
files/digest-cyrus-imapd-2.1.11-r1 :
Added keepdir's to all the /var directories.
06 Dec 2002; Rodney Rees
*cyrus-imapd-2.1.11 (07 Dec 2002)
01 Feb 2003; Nick Hadaway
Changed configure options and DEPEND for proper kerberos(krb4) detection.
07 Dec 2002; Nick Hadaway
files/digest-cyrus-imapd-2.1.11, files/configure.diff :
New version with previously added secutity fixes. Also added
a ucd-snmp fix which needs testing. Removed -I/usr/include warnings
during compile-time. Currently marked unstable.
*cyrus-imapd-2.1.10 (03 Dec 2002)
03 Dec 2002; Nick Hadaway
cyrus-imapd-2.1.10.ebuild, files/digest-cyrus-imapd-2.1.10,
files/libsieve-overflow.diff, files/imap-overflow.diff :
New ebuild with overflow patches from bug #11537.
*cyrus-imapd-2.1.9-r2 (26 Nov 2002)
26 Nov 2002; Nick Hadaway
cyrus-imapd-2.1.9-r2.ebuild, files/digest-cyrus-imapd-2.1.9-r2 :
Added some sed magic so kerberos support is detected correctly.
See bug #11013.
*cyrus-imapd-2.1.9-r1 (01 Oct 2002)
11 Oct 2002; Nick Hadaway
cyrus-imapd-2.1.9-r1.ebuild :
Added gssapi support based on the kerberos use flag. Beautified the
ebuild a bit more.
01 Oct 2002; Alexander Holler
cyrus-imapd-2.1.9-r1.ebuild, files/cyrus_2.conf, files/gentestcrt.sh,
files/imapd_2.conf, files/master.8.diff:
Removed cyradm and sieveshell (now in package cyrus-imap-admin).
Added generation of a self-signed test certificate.
Added 'use dns logger' to the startup-script.
Renamed master to cyrusmaster because postfix has a master too (manpage conflict)
*cyrus-imapd-2.1.9 (10 Sep 2002)
23 Sep 2002; Nick Hadaway
Changed imap and pop3 listen port names to imap2 and pop-3. See bug
#7178 for further information.
16 Sep 2002; Nick Hadaway
Updated src_install() to delete the empty /var/log{auth,imapd}.log
files. Closes bug #7196.
10 Sep 2002; Nick Hadaway
files/digest-cyrus-imapd-2.1.9, files/config.diff :
Version bump. Cleaned up the ebuild even more. Added a patch to
bypass the -I/usr/include gcc problem. Added kerberos use flag.
*cyrus-imapd-2.1.5-r1 (13 Aug 2002)
22 Aug 2002; Nick Hadaway
Added RDEPEND on net-mail/mailbase. Closes bug #6573.
13 Aug 2002; Nick Hadaway
cyrus-imapd-2.1.5-r1.ebuild, files/digest-cyrus-imapd-2.1.5-r1 :
Updated ebuild with fixes provided by Dominik Westner. Enabled perl and
cyradm in configure if use perl is set. This will install cyradm and
sieveshell scripts and the perl modules for cyrus imapd.
*cyrus-imapd-2.1.5 (13 Jul 2002)
13 Aug 2002; Nick Hadaway
Re-enabled --without-perl until installation snafus are fixed.
12 Aug 2002; Nick Hadaway
I have no idea why --without-perl was one of the configure options.
08 Aug 2002; Nick Hadaway
Added a couple of configure options suggested by mhromada@elas.sk on
bug #6156.
06 Aug 2002; Nick Hadaway
Changed emake to make after experiencing compile problems on multiple
systems. Updated keywords. ppc and sparc need testing. Fixed little
typos and removed an unneeded comment about /etc/services.
22 Jul 2002; Nick Hadaway
Fixed small typo in dependancies. Changed open-afs to openafs.
13 Jul 2002; Nick Hadaway
cyrus-imapd-2.1.5.ebuild and friends :
Ebuild and friends created by Alexander Holler. Thank you!
Created diff so program will compile with current version of
e2fsprogs.
AUX cyrus-imapd-2.2-libwrap.patch 390 RMD160 4ed2b14f549ccfab487cff66e5f2cb8ebdd39427 SHA1 0075421585a73f2673e3daff9a4c140d9cc5046e SHA256 2bddad2045130090ea23f5ad65d797cfa1f6083446bd00411cb1540cb56d4e0e
AUX cyrus-imapd-2.3.11-drac_with_autocreate.patch 2334 RMD160 53bb3d38e121ac22e4149de52151f3c3945f4934 SHA1 7571d40975aa61f9ac04e30bc371ab4733b3acdb SHA256 bfe1cabf1131b3ae3e67d5847d965cc4dfe2ac001064cc56176d3d2553651f3f
AUX cyrus-imapd-2.3.8-drac_with_autocreate.patch 2378 RMD160 a545ffbf21e7d14897d177b2866bc5df9df3130f SHA1 16e29ddddd924877d9d7dd572a6bcafe25c67725 SHA256 f55235912bcec09c91270dfeb9f2846300f70c22eef945781e77473ea7013aa6
AUX cyrus-imapd-parallel.patch 256 RMD160 fa7c53c847c4af9a7c218943be46b136b69f911c SHA1 8f4a7cbf91652354681e81e5c31f53728273a1c9 SHA256 adc6d031f2e9f547b192b36685d7873fdb5c5cb690e951b173fdcd55163cc68c
AUX cyrus-imapd-strip.patch 527 RMD160 83dda22c91798715c7790c3964705b60edeab904 SHA1 624635c7a3dd17e0d3ed84c2c7b07fe042d54cc0 SHA256 4edf438766a291c18847efbcf0596e5c7fc848a1c04b851b20074a195c1b2f18
AUX cyrus.conf 1354 RMD160 b2d6f470b7097036a5c64bc59f147f78fdbc16d5 SHA1 efc4d14807391be53018a81c4f4277cd8d6ce5f8 SHA256 23189674bb5c2f021f35027cfe22cfe56e022ce5e03da67f5c4913473bec1292
AUX cyrus.confd 279 RMD160 da79ff4128869a045b432abc9cea6667b65ee69a SHA1 6d2d3417b678c77336a4b89db3507314302fe4eb SHA256 3e786c28ffc44a222214b22d8849728360edc37f4b3f7d7c1473a23ab58c28a9
AUX cyrus.pam-include 109 RMD160 24f82d0496f0ff94f9c1ee4cef14124909d361e5 SHA1 1a13c82008b6d59bb9236a8162c75f8d24d6c4ba SHA256 d4ef9ed9c7c9add97df75f0e19a833bee872d3863a2b3cb1d0674fefba54e3d8
AUX cyrus.rc6 568 RMD160 0494dc278b3c93f49018392694a809f1ec395459 SHA1 22e6f03d9365d0fef4af9236d9cd01ae0b94a67f SHA256 f2f796f1ab208bcd5641a1610b07673f92069e6f5b2370f453e3a24014ab2c6c
AUX imap.pam 195 RMD160 18585b20cc2568a000ecb381f3299dedcc737d27 SHA1 0e64fbb8fb8da0cdae6fb0820ee3048f1e30bbf6 SHA256 e8068af6f4141fe2b7d7afbaf241be779ad6edb7e03d4dfdcf7ca8e991a8a5e0
AUX imapd.conf 1587 RMD160 74e02af5daa7648ce7e366478c1b89b112750e6b SHA1 e4f189cb59fe499a42adffe3ffe382dcb9d7c546 SHA256 69eacd9fffad55f20990fcf3b117fe4e2ac55233515ed70698c65a6deb42503f
AUX kolab/2.3.12_p2/annotations2.patch 11178 RMD160 80b327392731fa0fd06ef8fcf34985489582e334 SHA1 b7f9f1d89b5a14efb1cae6a29f2b81bbea4aa81a SHA256 befae23d2873fa8fc0f42817e12d451dee884c4431b45ef0cdd25dfe474eed87
AUX kolab/2.3.12_p2/cyradm_annotations.patch 3107 RMD160 a0ad90fa8f779c6e671fa1bc0de1933fa0030f55 SHA1 204f83f03c39e400e65939648101195213f153a5 SHA256 00fb61b5f201193aa1d4a26cdb3d77380afdf05e975c8e171ff1643992692711
AUX kolab/2.3.12_p2/folder-names.patch 705 RMD160 e1ae9477464e0fb7a9e22a362008771792bc659b SHA1 f30649fe5f3ed2cbc8d803b8ab76c5bde56f90c5 SHA256 9e9404695adc32c3042c490409e1494167421dbbfd726b98e90e0013ac6084cf
AUX kolab/2.3.12_p2/groups.patch 6561 RMD160 fc3d6cc483b39f7bc3c35916f7c75c92fb7aa27d SHA1 2d09dd07bd6ee6b37f71f56c11a1a51c61778822 SHA256 ffde107a869e1cc6935fff82872dbc6997bd8bc286d369f348f561d3ebbd0c24
AUX kolab/2.3.12_p2/logging.patch 1880 RMD160 a69ccc5fba3e200c5cf4bd91c22b5a7e9713038e SHA1 79ddbb6b9af2f0c93b8f9ee732ca2639c9567943 SHA256 76a4eb6cd59564f55bb541a35b4e7f5fbd8beabf8072580c0bc514d710c3879b
AUX kolab/2.3.12_p2/timsieved_starttls-sendcaps.patch 824 RMD160 c07359f3c3c4b922bbddc9e717a1ec9b0de10c03 SHA1 05de31018a0ac1a7fce78d3a63b0c6c2e3adc9f1 SHA256 3249a502fe49df37f89133effd0f6a125d826ae425faa7e32e09a3279a1ad4b6
AUX kolab/2.3.12_p2/uid.patch 4255 RMD160 94e8a37bb7631d1a7ea53d7575df3898065cfcd4 SHA1 3a3a5e190c67bf4618031ff5bff4d395cf324532 SHA256 ad33f589898d166b15292ca7adf9d6b60cf4af57f9ec33428e03616ccdf70c17
DIST cyrus-imapd-2.3.11-uoa.tbz2 18045 RMD160 8f35b2399b47669d99fd301be1e14aaaab903234 SHA1 827b279e47dbe56ee4969a3ecd8d21a83b31fd44 SHA256 c67f97274c328c80f1cbaab7514fdd0de05c032e57b526e4e13e8f63d212aa9d
DIST cyrus-imapd-2.3.11.tar.gz 2275173 RMD160 34727e08cc25f3cb6e0ea0195b96de942de10f48 SHA1 6218f0dc4f1792e786677362b8b3965e4593122e SHA256 87ce58b28ed1f8974118c02ac009377bb3de62adccd699a67f0100158106d842
DIST cyrus-imapd-2.3.12p2.tar.gz 2305996 RMD160 35225526aaf67bf99855750debd03a85949de424 SHA1 d72064b426feb0d7d6ea60456c8ebbf6fe72a2a2 SHA256 c4ea8af68d2b14d93f662fc97f805450ef0cb98ddb986b2b7330cb4aba93c4c4
DIST cyrus-imapd-2.3.9-uoa.tbz2 17935 RMD160 1e46f17972552ed94496d1dfee8671332844775b SHA1 1fc400239cf2410f531570c37d19ad964c606a14 SHA256 3ca66f3ec992416276daca9e43dd159797d2838ff9efd118139495a86e070f5d
DIST cyrus-imapd-2.3.9.tar.gz 2272004 RMD160 c9aae3476108c0face06dfe304a136015370b166 SHA1 b95e1de87ff2c7a42d4bec87c839fe439452a79c SHA256 27e6476789788b7c72f09711103f7c4bd0136dbd33ceadd0ae2dc776a17ab437
EBUILD cyrus-imapd-2.3.11.ebuild 8017 RMD160 d6b3b1a841e5b644560060971fec4d0ceaa21016 SHA1 de105a65d441cd6a02a497f53045748f00cc171a SHA256 c82ad3605451cc496036142e363d74023ba72364579ca6d823679f4cdc16e218
EBUILD cyrus-imapd-2.3.12_p2.ebuild 7870 RMD160 135119576c0587808e25f11a49a83655848cb0b1 SHA1 8102e66dfdc4ffbcc1728ecb466a38c40e8d530c SHA256 9b8ae2fcee71578f078c697e814f44fbdfd58c90213d2e8aa11d21cf7fcceb08
EBUILD cyrus-imapd-2.3.9-r1.ebuild 7908 RMD160 39b4b354fab0d4f304c65c290bfcac39a7f5e27b SHA1 ba4ccfe7c28b2a66bdc01ec9ad3e3a6be88c8f67 SHA256 0209fb6f7a2c3f9a6ec509b512f643c294ea8c62faff8f4d3031c011ad0846b3
MISC ChangeLog 24738 RMD160 afab8b789420f76ef85241b4901fd1e801610f46 SHA1 2bb4214691d31480b1159a50cc439a593f58bb30 SHA256 afc152eb241a9af00dad9100c0bdbe7ef185d29df43a7f9d2135323dec7c23b7
MISC metadata.xml 227 RMD160 dea45630aba3c22da6ccfe5867e88797658a9e41 SHA1 82018ee8f0b71c0e29e01aa374a89275a46dde26 SHA256 d3c03c4962fef1e25acac4875ada3102e5122e3eb7292d83d9833df8ef581d5c
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-mail/cyrus-imapd/cyrus-imapd-2.3.11.ebuild,v 1.5 2008/03/15 23:14:05 halcy0n Exp $
inherit autotools eutils ssl-cert fixheadtails pam
DESCRIPTION="The Cyrus IMAP Server."
HOMEPAGE="http://asg.web.cmu.edu/cyrus/imapd/"
SRC_URI="ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/${P}.tar.gz
mirror://gentoo/${P}-uoa.tbz2"
LIBWRAP_PATCH_VER="2.2"
DRAC_PATCH_VER="2.3.11"
AUTOCREATE_PATCH_VER="0.10-0"
AUTOSIEVE_PATCH_VER="0.6.0"
LICENSE="as-is"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
IUSE="autocreate autosieve drac idled kerberos nntp pam replication snmp ssl tcpd"
PROVIDE="virtual/imapd"
RDEPEND=">=sys-libs/db-3.2
>=dev-libs/cyrus-sasl-2.1.13
pam? (
virtual/pam
>=net-mail/mailbase-1
)
kerberos? ( virtual/krb5 )
snmp? ( >=net-analyzer/net-snmp-5.2.2-r1 )
ssl? ( >=dev-libs/openssl-0.9.6 )
tcpd? ( >=sys-apps/tcp-wrappers-7.6 )
drac? ( >=mail-client/drac-1.12-r1 )
nntp? ( !net-nntp/leafnode )"
DEPEND="$RDEPEND
sys-devel/libtool
>=sys-devel/autoconf-2.58
sys-devel/automake"
RDEPEND="$RDEPEND
!virtual/imapd"
new_net-snmp_check() {
# tcpd USE flag check. Bug #68254.
if use tcpd ; then
if has_version net-analyzer/net-snmp && ! built_with_use net-analyzer/net-snmp tcpd ; then
eerror "You are emerging this package with USE=\"tcpd\""
eerror "but \"net-analyzer/net-snmp\" has been emerged with USE=\"-tcpd\""
fail_msg
fi
else
if has_version net-analyzer/net-snmp && built_with_use net-analyzer/net-snmp tcpd ; then
eerror "You are emerging this package with USE=\"-tcpd\""
eerror "but \"net-analyzer/net-snmp\" has been emerged with USE=\"tcpd\""
fail_msg
fi
fi
# DynaLoader check. Bug #67411
if [ -x "$(type -p net-snmp-config)" ]; then
einfo "$(type -p net-snmp-config) is found and executable."
NSC_AGENTLIBS="$(net-snmp-config --agent-libs)"
einfo "NSC_AGENTLIBS=\""${NSC_AGENTLIBS}"\""
if [ -z "$NSC_AGENTLIBS" ]; then
eerror "NSC_AGENTLIBS is null"
einfo "please report this to bugs.gentoo.org"
fi
for i in ${NSC_AGENTLIBS}; do
# check for the DynaLoader path.
if [ "$(expr "$i" : '.*\(DynaLoader\)')" == "DynaLoader" ] ; then
DYNALOADER_PATH="$i"
einfo "DYNALOADER_PATH=\""${DYNALOADER_PATH}"\""
if [[ ! -f "${DYNALOADER_PATH}" ]]; then
eerror "\""${DYNALOADER_PATH}"\" is not found."
einfo "Have you upgraded \"perl\" after"
einfo "you emerged \"net-snmp\". Please re-emerge"
einfo "\"net-snmp\" then try again. Bug #67411."
die "\""${DYNALOADER_PATH}"\" is not found."
fi
fi
done
else
eerror "\"net-snmp-config\" not found or not executable!"
die "You have \"net-snmp\" installed but \"net-snmp-config\" is not found or not executable. Please re-emerge \"net-snmp\" and try again!"
fi
}
fail_msg() {
eerror "enable "snmp" USE flag for this package requires"
eerror "that net-analyzer/net-snmp and this package both build with"
eerror "\"tcpd\" or \"-tcpd\". Bug #68254"
die "sanity check failed."
}
pkg_setup() {
use snmp && new_net-snmp_check
enewuser cyrus -1 -1 /usr/cyrus mail
}
src_unpack() {
unpack ${A} && cd "${S}"
ht_fix_file "${S}"/imap/xversion.sh
# Fix prestripped binaries
epatch "${FILESDIR}/${PN}-strip.patch"
# Unsupported UoA patch. Bug #112912 .
# http://email.uoa.gr/projects/cyrus/autocreate/
if use autocreate ; then
epatch "${WORKDIR}/${P}-autocreate-${AUTOCREATE_PATCH_VER}.diff"
use drac \
&& epatch "${FILESDIR}/${PN}-${DRAC_PATCH_VER}-drac_with_autocreate.patch" \
&& epatch "${S}/contrib/drac_auth.patch"
else
use drac && epatch "${S}/contrib/drac_auth.patch"
fi
# Unsupported UoA patch. Bug #133187 .
# http://email.uoa.gr/projects/cyrus/autosievefolder/
use autosieve && epatch "${WORKDIR}/${P}-autosieve-${AUTOSIEVE_PATCH_VER}.diff"
# Add libwrap defines as we don't have a dynamicly linked library.
use tcpd && epatch "${FILESDIR}/${PN}-${LIBWRAP_PATCH_VER}-libwrap.patch"
# Fix master(8)->cyrusmaster(8) manpage.
for i in `grep -rl -e 'master\.8' -e 'master(8)' "${S}"` ; do
sed -i -e 's:master\.8:cyrusmaster.8:g' \
-e 's:master(8):cyrusmaster(8):g' \
"${i}" || die "sed failed" || die "sed failed"
done
mv man/master.8 man/cyrusmaster.8 || die "mv failed"
sed -i -e "s:MASTER:CYRUSMASTER:g" \
-e "s:Master:Cyrusmaster:g" \
-e "s:master:cyrusmaster:g" \
man/cyrusmaster.8 || die "sed failed"
# Recreate configure.
WANT_AUTOCONF="2.5"
AT_M4DIR="cmulocal" eautoreconf
# When linking with rpm, you need to link with more libraries.
sed -i -e "s:lrpm:lrpm -lrpmio -lrpmdb:" configure || die "sed failed"
}
src_compile() {
local myconf
myconf="${myconf} $(use_with drac)"
myconf="${myconf} $(use_with ssl openssl)"
myconf="${myconf} $(use_with snmp ucdsnmp)"
myconf="${myconf} $(use_with tcpd libwrap)"
myconf="${myconf} $(use_enable kerberos gssapi) $(use_enable kerberos krb5afspts)"
myconf="${myconf} $(use_enable idled)"
myconf="${myconf} $(use_enable nntp nntp)"
myconf="${myconf} $(use_enable replication)"
if use kerberos; then
myconf="${myconf} --with-auth=krb5"
else
myconf="${myconf} --with-auth=unix"
fi
econf \
--enable-murder \
--enable-listext \
--enable-netscapehack \
--with-extraident=Gentoo \
--with-service-path=/usr/lib/cyrus \
--with-cyrus-user=cyrus \
--with-cyrus-group=mail \
--with-com_err=yes \
--without-perl \
--disable-cyradm \
${myconf} || die "econf failed"
# needed for parallel make. Bug #72352.
cd "${S}"/imap
emake xversion.h || die "emake xversion.h failed"
cd "${S}"
emake || die "compile problem"
}
src_install() {
dodir /usr/bin /usr/lib
for subdir in master imap imtest timsieved notifyd sieve; do
make -C "${subdir}" DESTDIR="${D}" install || die "make install failed"
done
# Link master to cyrusmaster (postfix has a master too)
dosym /usr/lib/cyrus/master /usr/lib/cyrus/cyrusmaster
if ! use nntp ; then
rm man/fetchnews.8 man/syncnews.8 man/nntpd.8 man/nntptest.1
rm "${D}"/usr/bin/nntptest
fi
doman man/*.[0-8]
dodoc COPYRIGHT README*
dohtml doc/*.html doc/murder.png
cp doc/cyrusv2.mc "${D}/usr/share/doc/${PF}/html"
cp -r contrib tools "${D}/usr/share/doc/${PF}"
find "${D}/usr/share/doc" -name CVS -print0 | xargs -0 rm -rf
insinto /etc
doins "${FILESDIR}/cyrus.conf" "${FILESDIR}/imapd.conf"
newinitd "${FILESDIR}/cyrus.rc6" cyrus
newconfd "${FILESDIR}/cyrus.confd" cyrus
newpamd "${FILESDIR}/cyrus.pam-include" sieve
for subdir in imap/{,db,log,msg,proc,socket,sieve} spool/imap/{,stage.} ; do
keepdir "/var/${subdir}"
fowners cyrus:mail "/var/${subdir}"
fperms 0750 "/var/${subdir}"
done
for subdir in imap/{user,quota,sieve} spool/imap ; do
for i in a b c d e f g h i j k l m n o p q r s t v u w x y z ; do
keepdir "/var/${subdir}/${i}"
fowners cyrus:mail "/var/${subdir}/${i}"
fperms 0750 "/var/${subdir}/${i}"
done
done
}
pkg_postinst() {
# do not install server.{key,pem) if they are exist.
use ssl && {
if [ ! -f "${ROOT}"etc/ssl/cyrus/server.key ]; then
install_cert /etc/ssl/cyrus/server
chown cyrus:mail "${ROOT}"etc/ssl/cyrus/server.{key,pem}
fi
}
if df -T /var/imap | grep -q ' ext[23] ' ; then
ebegin "Making /var/imap/user/* and /var/imap/quota/* synchronous."
chattr +S /var/imap/{user,quota}{,/*}
eend $?
fi
if df -T /var/spool/imap | grep -q ' ext[23] ' ; then
ebegin "Making /var/spool/imap/* synchronous."
chattr +S /var/spool/imap{,/*}
eend $?
fi
ewarn "If the queue directory of the mail daemon resides on an ext2"
ewarn "or ext3 filesystem you need to set it manually to update"
ewarn "synchronously. E.g. 'chattr +S /var/spool/mqueue'."
echo
elog "For correct logging add the following to /etc/syslog.conf:"
elog " local6.* /var/log/imapd.log"
elog " auth.debug /var/log/auth.log"
echo
elog "You have to add user cyrus to the sasldb2. Do this with:"
elog " saslpasswd2 cyrus"
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-mail/cyrus-imapd/cyrus-imapd-2.3.12_p2.ebuild,v 1.1 2008/06/04 18:56:56 dertobi123 Exp $
inherit autotools eutils ssl-cert fixheadtails pam
MY_P=${P/_/}
DESCRIPTION="The Cyrus IMAP Server."
HOMEPAGE="http://asg.web.cmu.edu/cyrus/imapd/"
SRC_URI="ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/${MY_P}.tar.gz"
LIBWRAP_PATCH_VER="2.2"
LICENSE="as-is"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
IUSE="drac idled kerberos kolab nntp pam replication snmp ssl tcpd"
PROVIDE="virtual/imapd"
RDEPEND=">=sys-libs/db-3.2
>=dev-libs/cyrus-sasl-2.1.13
pam? (
virtual/pam
>=net-mail/mailbase-1
)
kerberos? ( virtual/krb5 )
snmp? ( >=net-analyzer/net-snmp-5.2.2-r1 )
ssl? ( >=dev-libs/openssl-0.9.6 )
tcpd? ( >=sys-apps/tcp-wrappers-7.6 )
drac? ( >=mail-client/drac-1.12-r1 )
nntp? ( !net-nntp/leafnode )
kolab? ( net-nds/openldap )"
DEPEND="$RDEPEND
sys-devel/libtool
>=sys-devel/autoconf-2.58
sys-devel/automake"
RDEPEND="$RDEPEND
!virtual/imapd"
new_net-snmp_check() {
# tcpd USE flag check. Bug #68254.
if use tcpd ; then
if has_version net-analyzer/net-snmp && ! built_with_use net-analyzer/net-snmp tcpd ; then
eerror "You are emerging this package with USE=\"tcpd\""
eerror "but \"net-analyzer/net-snmp\" has been emerged with USE=\"-tcpd\""
fail_msg
fi
else
if has_version net-analyzer/net-snmp && built_with_use net-analyzer/net-snmp tcpd ; then
eerror "You are emerging this package with USE=\"-tcpd\""
eerror "but \"net-analyzer/net-snmp\" has been emerged with USE=\"tcpd\""
fail_msg
fi
fi
# DynaLoader check. Bug #67411
if [ -x "$(type -p net-snmp-config)" ]; then
einfo "$(type -p net-snmp-config) is found and executable."
NSC_AGENTLIBS="$(net-snmp-config --agent-libs)"
einfo "NSC_AGENTLIBS=\""${NSC_AGENTLIBS}"\""
if [ -z "$NSC_AGENTLIBS" ]; then
eerror "NSC_AGENTLIBS is null"
einfo "please report this to bugs.gentoo.org"
fi
for i in ${NSC_AGENTLIBS}; do
# check for the DynaLoader path.
if [ "$(expr "$i" : '.*\(DynaLoader\)')" == "DynaLoader" ] ; then
DYNALOADER_PATH="$i"
einfo "DYNALOADER_PATH=\""${DYNALOADER_PATH}"\""
if [[ ! -f "${DYNALOADER_PATH}" ]]; then
eerror "\""${DYNALOADER_PATH}"\" is not found."
einfo "Have you upgraded \"perl\" after"
einfo "you emerged \"net-snmp\". Please re-emerge"
einfo "\"net-snmp\" then try again. Bug #67411."
die "\""${DYNALOADER_PATH}"\" is not found."
fi
fi
done
else
eerror "\"net-snmp-config\" not found or not executable!"
die "You have \"net-snmp\" installed but \"net-snmp-config\" is not found or not executable. Please re-emerge \"net-snmp\" and try again!"
fi
}
fail_msg() {
eerror "enable "snmp" USE flag for this package requires"
eerror "that net-analyzer/net-snmp and this package both build with"
eerror "\"tcpd\" or \"-tcpd\". Bug #68254"
die "sanity check failed."
}
pkg_setup() {
use snmp && new_net-snmp_check
enewuser cyrus -1 -1 /usr/cyrus mail
}
S=${WORKDIR}/${MY_P}
src_unpack() {
unpack ${A} && cd "${S}"
ht_fix_file "${S}"/imap/xversion.sh
# Fix prestripped binaries
epatch "${FILESDIR}/${PN}-strip.patch"
if use drac ; then
epatch "${S}/contrib/drac_auth.patch"
fi
# KOLAB support
if use kolab ; then
EPATCH_SOURCE="${FILESDIR}/kolab/${PV}" EPATCH_SUFFIX="patch" \
EPATCH_FORCE="yes" epatch
# These files are being created automatically and need to be updated
# # after the patches used above
rm -f lib/imapopts.h lib/imapopts.c
fi
# Add libwrap defines as we don't have a dynamicly linked library.
use tcpd && epatch "${FILESDIR}/${PN}-${LIBWRAP_PATCH_VER}-libwrap.patch"
# Fix master(8)->cyrusmaster(8) manpage.
for i in `grep -rl -e 'master\.8' -e 'master(8)' "${S}"` ; do
sed -i -e 's:master\.8:cyrusmaster.8:g' \
-e 's:master(8):cyrusmaster(8):g' \
"${i}" || die "sed failed" || die "sed failed"
done
mv man/master.8 man/cyrusmaster.8 || die "mv failed"
sed -i -e "s:MASTER:CYRUSMASTER:g" \
-e "s:Master:Cyrusmaster:g" \
-e "s:master:cyrusmaster:g" \
man/cyrusmaster.8 || die "sed failed"
# Recreate configure.
WANT_AUTOCONF="2.5"
AT_M4DIR="cmulocal" eautoreconf
# When linking with rpm, you need to link with more libraries.
sed -i -e "s:lrpm:lrpm -lrpmio -lrpmdb:" configure || die "sed failed"
if use kolab ; then
sed -i -e "s/{LIB_SASL}/{LIB_SASL} -lldap -llber /" configure || die "sed failed"
fi
}
src_compile() {
local myconf
myconf="${myconf} $(use_with drac)"
myconf="${myconf} $(use_with ssl openssl)"
myconf="${myconf} $(use_with snmp ucdsnmp)"
myconf="${myconf} $(use_with tcpd libwrap)"
myconf="${myconf} $(use_enable kerberos gssapi) $(use_enable kerberos krb5afspts)"
myconf="${myconf} $(use_enable idled)"
myconf="${myconf} $(use_enable nntp nntp)"
myconf="${myconf} $(use_enable replication)"
if use kerberos; then
myconf="${myconf} --with-auth=krb5"
else
myconf="${myconf} --with-auth=unix"
fi
econf \
--enable-murder \
--enable-listext \
--enable-netscapehack \
--with-extraident=Gentoo \
--with-service-path=/usr/lib/cyrus \
--with-cyrus-user=cyrus \
--with-cyrus-group=mail \
--with-com_err=yes \
--without-perl \
--disable-cyradm \
${myconf} || die "econf failed"
# needed for parallel make. Bug #72352.
cd "${S}"/imap
emake xversion.h || die "emake xversion.h failed"
# -j1 for #222529
cd "${S}"
emake -j1 || die "compile problem"
}
src_install() {
dodir /usr/bin /usr/lib
for subdir in master imap imtest timsieved notifyd sieve; do
make -C "${subdir}" DESTDIR="${D}" install || die "make install failed"
done
# Link master to cyrusmaster (postfix has a master too)
dosym /usr/lib/cyrus/master /usr/lib/cyrus/cyrusmaster
if ! use nntp ; then
rm man/fetchnews.8 man/syncnews.8 man/nntpd.8 man/nntptest.1
rm "${D}"/usr/bin/nntptest
fi
doman man/*.[0-8]
dodoc COPYRIGHT README*
dohtml doc/*.html doc/murder.png
cp doc/cyrusv2.mc "${D}/usr/share/doc/${PF}/html"
cp -r contrib tools "${D}/usr/share/doc/${PF}"
find "${D}/usr/share/doc" -name CVS -print0 | xargs -0 rm -rf
insinto /etc
doins "${FILESDIR}/cyrus.conf" "${FILESDIR}/imapd.conf"
newinitd "${FILESDIR}/cyrus.rc6" cyrus
newconfd "${FILESDIR}/cyrus.confd" cyrus
newpamd "${FILESDIR}/cyrus.pam-include" sieve
for subdir in imap/{,db,log,msg,proc,socket,sieve} spool/imap/{,stage.} ; do
keepdir "/var/${subdir}"
fowners cyrus:mail "/var/${subdir}"
fperms 0750 "/var/${subdir}"
done
for subdir in imap/{user,quota,sieve} spool/imap ; do
for i in a b c d e f g h i j k l m n o p q r s t v u w x y z ; do
keepdir "/var/${subdir}/${i}"
fowners cyrus:mail "/var/${subdir}/${i}"
fperms 0750 "/var/${subdir}/${i}"
done
done
}
pkg_postinst() {
# do not install server.{key,pem) if they are exist.
use ssl && {
if [ ! -f "${ROOT}"etc/ssl/cyrus/server.key ]; then
install_cert /etc/ssl/cyrus/server
chown cyrus:mail "${ROOT}"etc/ssl/cyrus/server.{key,pem}
fi
}
if df -T /var/imap | grep -q ' ext2 ' ; then
ebegin "Making /var/imap/user/* and /var/imap/quota/* synchronous."
chattr +S /var/imap/{user,quota}{,/*}
eend $?
fi
if df -T /var/spool/imap | grep -q ' ext2 ' ; then
ebegin "Making /var/spool/imap/* synchronous."
chattr +S /var/spool/imap{,/*}
eend $?
fi
ewarn "If the queue directory of the mail daemon resides on an ext2"
ewarn "filesystem you need to set it manually to update"
ewarn "synchronously. E.g. 'chattr +S /var/spool/mqueue'."
echo
elog "For correct logging add the following to /etc/syslog.conf:"
elog " local6.* /var/log/imapd.log"
elog " auth.debug /var/log/auth.log"
echo
elog "You have to add user cyrus to the sasldb2. Do this with:"
elog " saslpasswd2 cyrus"
}
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-mail/cyrus-imapd/cyrus-imapd-2.3.9-r1.ebuild,v 1.11 2008/03/15 23:14:05 halcy0n Exp $
inherit autotools eutils ssl-cert fixheadtails pam
DESCRIPTION="The Cyrus IMAP Server."
HOMEPAGE="http://asg.web.cmu.edu/cyrus/imapd/"
SRC_URI="ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/${P}.tar.gz
mirror://gentoo/${P}-uoa.tbz2"
LIBWRAP_PATCH_VER="2.2"
DRAC_PATCH_VER="2.3.8"
AUTOCREATE_PATCH_VER="0.10-0"
AUTOSIEVE_PATCH_VER="0.6.0"
LICENSE="as-is"
SLOT="0"
KEYWORDS="amd64 hppa ppc ppc64 sparc x86"
IUSE="autocreate autosieve drac idled kerberos nntp pam replication snmp ssl tcpd"
PROVIDE="virtual/imapd"
RDEPEND=">=sys-libs/db-3.2
>=dev-libs/cyrus-sasl-2.1.13
pam? (
virtual/pam
>=net-mail/mailbase-1
)
kerberos? ( virtual/krb5 )
snmp? ( >=net-analyzer/net-snmp-5.2.2-r1 )
ssl? ( >=dev-libs/openssl-0.9.6 )
tcpd? ( >=sys-apps/tcp-wrappers-7.6 )
drac? ( >=mail-client/drac-1.12-r1 )"
DEPEND="$RDEPEND
sys-devel/libtool
>=sys-devel/autoconf-2.58
sys-devel/automake"
RDEPEND="$RDEPEND
!virtual/imap"
new_net-snmp_check() {
# tcpd USE flag check. Bug #68254.
if use tcpd ; then
if has_version net-analyzer/net-snmp && ! built_with_use net-analyzer/net-snmp tcpd ; then
eerror "You are emerging this package with USE=\"tcpd\""
eerror "but \"net-analyzer/net-snmp\" has been emerged with USE=\"-tcpd\""
fail_msg
fi
else
if has_version net-analyzer/net-snmp && built_with_use net-analyzer/net-snmp tcpd ; then
eerror "You are emerging this package with USE=\"-tcpd\""
eerror "but \"net-analyzer/net-snmp\" has been emerged with USE=\"tcpd\""
fail_msg
fi
fi
# DynaLoader check. Bug #67411
if [ -x "$(type -p net-snmp-config)" ]; then
einfo "$(type -p net-snmp-config) is found and executable."
NSC_AGENTLIBS="$(net-snmp-config --agent-libs)"
einfo "NSC_AGENTLIBS=\""${NSC_AGENTLIBS}"\""
if [ -z "$NSC_AGENTLIBS" ]; then
eerror "NSC_AGENTLIBS is null"
einfo "please report this to bugs.gentoo.org"
fi
for i in ${NSC_AGENTLIBS}; do
# check for the DynaLoader path.
if [ "$(expr "$i" : '.*\(DynaLoader\)')" == "DynaLoader" ] ; then
DYNALOADER_PATH="$i"
einfo "DYNALOADER_PATH=\""${DYNALOADER_PATH}"\""
if [[ ! -f "${DYNALOADER_PATH}" ]]; then
eerror "\""${DYNALOADER_PATH}"\" is not found."
einfo "Have you upgraded \"perl\" after"
einfo "you emerged \"net-snmp\". Please re-emerge"
einfo "\"net-snmp\" then try again. Bug #67411."
die "\""${DYNALOADER_PATH}"\" is not found."
fi
fi
done
else
eerror "\"net-snmp-config\" not found or not executable!"
die "You have \"net-snmp\" installed but \"net-snmp-config\" is not found or not executable. Please re-emerge \"net-snmp\" and try again!"
fi
}
fail_msg() {
eerror "enable "snmp" USE flag for this package requires"
eerror "that net-analyzer/net-snmp and this package both build with"
eerror "\"tcpd\" or \"-tcpd\". Bug #68254"
die "sanity check failed."
}
pkg_setup() {
use snmp && new_net-snmp_check
enewuser cyrus -1 -1 /usr/cyrus mail
}
src_unpack() {
unpack ${A} && cd "${S}"
ht_fix_file "${S}"/imap/xversion.sh
# Fix prestripped binaries
epatch "${FILESDIR}/${PN}-strip.patch"
# Parallel make fix
epatch "${FILESDIR}"/${PN}-parallel.patch
# Unsupported UoA patch. Bug #112912 .
# http://email.uoa.gr/projects/cyrus/autocreate/
if use autocreate ; then
epatch "${WORKDIR}/${P}-autocreate-${AUTOCREATE_PATCH_VER}.diff"
use drac \
&& epatch "${FILESDIR}/${PN}-${DRAC_PATCH_VER}-drac_with_autocreate.patch" \
&& epatch "${S}/contrib/drac_auth.patch"
else
use drac && epatch "${S}/contrib/drac_auth.patch"
fi
# Unsupported UoA patch. Bug #133187 .
# http://email.uoa.gr/projects/cyrus/autosievefolder/
use autosieve && epatch "${WORKDIR}/${P}-autosieve-${AUTOSIEVE_PATCH_VER}.diff"
# Add libwrap defines as we don't have a dynamicly linked library.
use tcpd && epatch "${FILESDIR}/${PN}-${LIBWRAP_PATCH_VER}-libwrap.patch"
# Fix master(8)->cyrusmaster(8) manpage.
for i in `grep -rl -e 'master\.8' -e 'master(8)' "${S}"` ; do
sed -i -e 's:master\.8:cyrusmaster.8:g' \
-e 's:master(8):cyrusmaster(8):g' \
"${i}" || die "sed failed" || die "sed failed"
done
mv man/master.8 man/cyrusmaster.8 || die "mv failed"
sed -i -e "s:MASTER:CYRUSMASTER:g" \
-e "s:Master:Cyrusmaster:g" \
-e "s:master:cyrusmaster:g" \
man/cyrusmaster.8 || die "sed failed"
# Recreate configure.
WANT_AUTOCONF="2.5"
eautoreconf
# When linking with rpm, you need to link with more libraries.
sed -i -e "s:lrpm:lrpm -lrpmio -lrpmdb:" configure || die "sed failed"
}
src_compile() {
local myconf
myconf="${myconf} $(use_with drac)"
myconf="${myconf} $(use_with ssl openssl)"
myconf="${myconf} $(use_with snmp ucdsnmp)"
myconf="${myconf} $(use_with tcpd libwrap)"
myconf="${myconf} $(use_enable kerberos gssapi) $(use_enable kerberos krb5afspts)"
myconf="${myconf} $(use_enable idled)"
myconf="${myconf} $(use_enable nntp nntp)"
myconf="${myconf} $(use_enable replication)"
if use kerberos; then
myconf="${myconf} --with-auth=krb5"
else
myconf="${myconf} --with-auth=unix"
fi
econf \
--enable-murder \
--enable-listext \
--enable-netscapehack \
--with-extraident=Gentoo \
--with-service-path=/usr/lib/cyrus \
--with-cyrus-user=cyrus \
--with-cyrus-group=mail \
--with-com_err=yes \
--without-perl \
--disable-cyradm \
${myconf} || die "econf failed"
# needed for parallel make. Bug #72352.
cd "${S}"/imap
emake xversion.h || die "emake xversion.h failed"
cd "${S}"
emake || die "compile problem"
}
src_install() {
dodir /usr/bin /usr/lib
for subdir in master imap imtest timsieved notifyd sieve; do
make -C "${subdir}" DESTDIR="${D}" install || die "make install failed"
done
# Link master to cyrusmaster (postfix has a master too)
dosym /usr/lib/cyrus/master /usr/lib/cyrus/cyrusmaster
doman man/*.[0-8]
dodoc COPYRIGHT README*
dohtml doc/*.html doc/murder.png
cp doc/cyrusv2.mc "${D}/usr/share/doc/${PF}/html"
cp -r contrib tools "${D}/usr/share/doc/${PF}"
find "${D}/usr/share/doc" -name CVS -print0 | xargs -0 rm -rf
insinto /etc
doins "${FILESDIR}/cyrus.conf" "${FILESDIR}/imapd.conf"
newinitd "${FILESDIR}/cyrus.rc6" cyrus
newconfd "${FILESDIR}/cyrus.confd" cyrus
newpamd "${FILESDIR}/cyrus.pam-include" sieve
for subdir in imap/{,db,log,msg,proc,socket,sieve} spool/imap/{,stage.} ; do
keepdir "/var/${subdir}"
fowners cyrus:mail "/var/${subdir}"
fperms 0750 "/var/${subdir}"
done
for subdir in imap/{user,quota,sieve} spool/imap ; do
for i in a b c d e f g h i j k l m n o p q r s t v u w x y z ; do
keepdir "/var/${subdir}/${i}"
fowners cyrus:mail "/var/${subdir}/${i}"
fperms 0750 "/var/${subdir}/${i}"
done
done
}
pkg_postinst() {
# do not install server.{key,pem) if they are exist.
use ssl && {
if [ ! -f "${ROOT}"etc/ssl/cyrus/server.key ]; then
install_cert /etc/ssl/cyrus/server
chown cyrus:mail "${ROOT}"etc/ssl/cyrus/server.{key,pem}
fi
}
if df -T /var/imap | grep -q ' ext[23] ' ; then
ebegin "Making /var/imap/user/* and /var/imap/quota/* synchronous."
chattr +S /var/imap/{user,quota}{,/*}
eend $?
fi
if df -T /var/spool/imap | grep -q ' ext[23] ' ; then
ebegin "Making /var/spool/imap/* synchronous."
chattr +S /var/spool/imap{,/*}
eend $?
fi
ewarn "If the queue directory of the mail daemon resides on an ext2"
ewarn "or ext3 filesystem you need to set it manually to update"
ewarn "synchronously. E.g. 'chattr +S /var/spool/mqueue'."
echo
elog "For correct logging add the following to /etc/syslog.conf:"
elog " local6.* /var/log/imapd.log"
elog " auth.debug /var/log/auth.log"
echo
elog "You have to add user cyrus to the sasldb2. Do this with:"
elog " saslpasswd2 cyrus"
}